# std::filesystem::filesystem_error::what

From cppreference.com
< cpp‎ | filesystem‎ | filesystem error

const char* what() const; |  | (since C++17)

Returns the explanatory byte string that was stored in the exception object.

### Parameters

(none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/filesystem_error/what&oldid=91778"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template